<div
  class="container-background-color container-border-color overlay-container"
>
  <div class="flex-row p-8">
    <nz-switch
      nzSize="small"
      [ngModel]="showAutomatedStatuses"
      (ngModelChange)="changeShowAutomatedStatuses($event)"
      ngDefaultControl
    >
    </nz-switch>
    <sqtm-core-label
      class="m-l-6"
      [text]="
        'sqtm-core.campaign-workspace.execution-status.show-automated-statuses'
          | translate
      "
    >
    </sqtm-core-label>
  </div>
  @if (items && items.length > 0) {
    <sqtm-core-grouped-multi-list
      [searchable]="false"
      [listItems]="items"
      [workspace]="workspace"
      [boxShadow]="'none'"
      (itemSelectionChanged)="changeSelection($event)"
    >
    </sqtm-core-grouped-multi-list>
  }
</div>
